Subject: Re: [Thuban-list] PO-files for FR and ES

From: "Daniel Calvelo Aros" <[email-masked]>
Date: Thu, 24 Apr 2003 23:35:20 -0500

> "Daniel Calvelo Aros" <[email-masked]> writes:
> 
> > Hi all.
> > 
> > Please find attached po-files for Spanish and French, current with April
> > 20th CVS.
> 
> Thanks. They look fine mostly, except for some minor issues:
> 
> In es.po there are 9 fuzzy entries. AFAICT, at least 2 of the fuzzy
> entries are actually wrong (could be because of a previous msgmerge)
> 
> This one's clearly wrong as the translation doesn't have a %s:
> 
> #: ../Thuban/Model/session.py:179
> #, fuzzy, python-format
> msgid "Session: %s"
> msgstr "Guardar sesión como"
> 
> This one's probably wrong
> 
> #: ../Thuban/Model/session.py:185
> #, fuzzy
> msgid "unnamed session"
> msgstr "&Guardar Sesión"

Yup. This is merge-related. I changed some of the obvious problems, but
did not re-check the whole. Sorry about that. I'm on it.

> And this one, too (stumbled about this accidentally :)):
> 
> #: ../Thuban/UI/renderer.py:290
> #, python-format
> msgid "Unhandled shape type %s"
> msgstr "El Tipo de Capa %s no es aceptado"
> 
> It seems the spanish version says "The type of the layer %s is not
> accepted" or something like that. The %s is expanded to the shape type
> not the layer name. I'm not sure this should be translated at all,
> though. Ideally the user should never see this message.

The spanish version is translated rather as "The layer type %s..."; "the
type of the layer" would be "El tipo de la capa...". I'm hopeful the
message will never show up anyway. Spanish has these article-related
subtleties which sometimes stumble across. Don't worry, as soon as we
have some close non-developer users, the real quirks will show up.

> I've brought both up to date with current CVS (so now there are more
> untranslated and fuzzy entries of course :) ) and checked them in.

Ok. As soon as the next release is scheduled, I'll send new (and
checked) versions.

Thanks!

>    Bernhard
> 
> -- 
> Intevation GmbH                                 http://intevation.de/
> Sketch                                 http://sketch.sourceforge.net/
> MapIt!                                           http://www.mapit.de/

-- Daniel Calvelo Aros
--
-- Dirección General de Información Agraria
-- Ministerio de Agricultura
-- (51-1) 424-9001